Bug 100831 - FILEOPEN: DOCX - Scale of Bitmap Fill Not Imported
Summary: FILEOPEN: DOCX - Scale of Bitmap Fill Not Imported
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:docx
Depends on:
Blocks: Object-Fill
  Show dependency treegraph
 
Reported: 2016-07-10 08:19 UTC by Yousuf Philips (jay) (retired)
Modified: 2021-08-16 16:46 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Comparison Word vs Writer (531.17 KB, image/png)
2021-08-09 17:25 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-07-10 08:19:37 UTC
Steps:
1) Open attachment 126147 [details]
2) Right-click on shape and click Area in context menu
3) Notice that both autofit and original are checked
4) Compare this with MS word where the image width is 140% and height is 120%

Version: 5.3.0.0.alpha0+
Build ID: 54f2a4184d1296814e64cfeab1d06ae90d002357
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-07-08_01:43:14
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Buovjaga 2016-07-17 09:12:48 UTC
Confirmed.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.3.0.0.alpha0+
Build ID: ab1b351840160655a9f0caedbb35e9fdf203c5a0
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on July 16th 2016

64-bit, KDE Plasma 5
Build ID: 5.1.4.2 Arch Linux build-1
CPU Threads: 8; OS Version: Linux 4.6; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Comment 2 QA Administrators 2017-10-23 13:58:43 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2019-12-03 13:50:36 UTC Comment hidden (obsolete)
Comment 4 Luke 2019-12-05 13:39:02 UTC
Compared to Word, Writer still shows a shrunken, shriveled Heiko's head. 
Tested on Version: 6.5.0.0.alpha0+ (x64)
Build ID: 314f15bff08b76bf96acf99141776ef64d2f1355
Comment 5 Luke 2019-12-06 14:35:19 UTC
A fairly simple hack could fix this specific example by scaling down on import to compensate for LO's bitmap stretch. This approach would be brittle, hacky, and lead to scaling artifacts.

Bug 95165 would give bitmap fill a proper X,Y + scale feature like MSO uses. With that feature both bugs could be fixed without any loss in image quality caused by unnecessary scaling.
Comment 6 Katka 2021-08-08 20:57:09 UTC
I cannot reproduce with:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: cb2827f5f65324f309fa0e3c30d0b19ad237410e
CPU threads: 16; OS: Windows 10.0 Build 19043; UI render: Skia/Vulkan; VCL: win
Comment 7 Luke 2021-08-09 17:25:21 UTC
Created attachment 174159 [details]
Comparison Word vs Writer

This has NOT been fixed. While the behavior has changed in 7.3, it's only different. The core issue of correctly scaling bitmap fills still remains. Heiko has gone from shrunken and shriveled in 6.5 to skinny and stretched in 7.3 

If you want a better example of this issue that demonstrates how we are not reading and calculating DOCX scale factors:  see attachment 119735 [details]

Katka,
Please do not mark MSO import/export issues as FIXED without actually comparing them to MSO.